/*tableless forms rules for smartphones*/	
@media all and (max-width:700px)
{
.editform
	{
	padding-left: 0;
    padding-right: 0;
	}	
	
div.edittable > div, div.edittable > div > span
	{
	flex-direction:column;
	}
	
div.edittable > div > span > span
	{
	width: 100%;
    padding-bottom: 10px;
	flex-grow:1 !important;
	flex-shrink:1 !important;
	flex-basis:0% !important;
	}

.editform .cmdbuttons
	{
	left:0 !important;
    width:100vw !important;
    }
	
.popmenu .editform .cmdbuttons
	{
	left: var(--menu-width) !important;
    width: calc(100vw - var(--menu-width)) !important;
    }
    
.titolo .prevrec, .titolo .nextrec
	{	
	display:none;	
	}
	
.prevrec,
.nextrec
	{	
	position:static;
	}
	
input,
select,
textarea
	{
	max-width:100% !important; 
	}
	
input.file
	{
	display: block;
	}
	
.dltools + .upltools
	{
	display:block;
	margin-top:10px;
	}
	
.edittable .lbl
	{
	text-align:left !important;
	}

.editform .langdel, .editform div.edittable .langdel,
div.edittable > div > span:not(:first-child) > span > .etichetta
	{
	margin-left:0;
	}
	
.blk .fld
	{
	order:2;
	}
	
.blk .err
	{
	order:3;
	}
.editform.dblcol
	{
    margin-right:0;
	}

.editform #st_mainsx, .editform #st_maindx
	{
    float: left;
    margin-right:0;
    width: 100%;
	}

.btnspacer,
.prevnextrec,
.btnspacer.prevnextrec,
.btnspacer:nth-child(2n+1):has(+ .prevnextrec)
	{
	display:block !important;
	}

.btnspacer
	{
	height:0;
	}

.cmdbuttons .bottone, .editform button.bottone, .editform input.bottone, #listbuttons button.bottone, .dialogue input.bottone, .btnspacer
	{
    min-width: 140px !important;
	}

.editform
	{
	margin-left:10px;
	margin-right:10px;
    padding-bottom: 240px !important;
    }

.editform .cmdbuttons,
.editform .cmdbuttonstbl tr
	{
	gap:10px 30px;
    flex-wrap: wrap;
    }
    
.editform .cmdbuttons .prevnextrec
	{
	height:0;
	flex-shrink:0;
	flex-basis:100%;
	}

.editform .cmdbuttons .prevrec,
.editform .cmdbuttons .nextrec
	{
	left:0;
	right:0;
	display: flex;
    align-items: center;
    justify-content: center;
    }

.editform .cmdbuttons.semplifica button[value="writeprev"],
.editform .cmdbuttons.semplifica button[value="writenext"]
	{
	display:none;
	}

textarea.piccolo, div.rp_textarea.piccolo, .edittable td.piccolo, .edittable span.fld.piccolo
	{
	flex-basis: 160px !important;
	}

textarea.medio, div.rp_textarea.medio, .edittable td.medio, .edittable span.fld.medio
	{
	flex-basis: 310px !important;
	}

textarea.grande, div.rp_textarea.grande, .edittable td.grande, .edittable span.fld.grande
	{
	flex-basis: 420px !important;
	}

#corpos .tox-fullscreen
	{
	left:0 !important;
	width:calc(100% - 1px) !important;
	height:calc(100% - var(--topbar-height)) !important;
	}

.popmenu #corpos .tox-fullscreen
	{
	left:var(--menu-width) !important;
	width:calc(100% - var(--menu-width) - 1px) !important;
	}
	
.edittable .lbl .etichetta .aiuto, .edittable .err .aiuto
	{
    left: auto;
    right:0;
	}
}

@media all and (max-width:340px)
{
.editform .cmdbuttons,
.editform .cmdbuttonstbl tr
	{
	gap:10px 0;
	}
}
